//
//  ViewController.h
//  DemoiSt01
//
//  Created by Xinhu Li on 12-6-12.
//  Copyright (c) 2012年 IDTECH. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "BTmsr.h"
#import "BTmsrDelegate.h"
#import "InputAlert.h"

@interface ViewController : UIViewController <BTmsrDelegate, UIActionSheetDelegate, InputAlertDelegate,UIAlertViewDelegate>
{
    BTmsr * BTmsrDevice;
    
    UIButton *butTest;
    UIPageControl *pageControl;
    UIView *view1;
    UIView *view2;
    UIView *view3;
    
    IBOutlet UITextView *resultsTextView;
    IBOutlet UILabel *connectedLabel;
    IBOutlet UITextField *txtOptMode;
    IBOutlet UITextField *txtCardOpt;
    IBOutlet UITextField *txtMemData;
    IBOutlet UITextField *txtDirtData;
    IBOutlet UITextField *txtQkWrtData;
    IBOutlet UITextField *txtAPDUData;
    IBOutlet UISwitch *swtchReadWrit;
     UIAlertView * subPreAutherror;    InputAlert *userInputAlert;
}

@property (retain, nonatomic) IBOutlet UIPageControl *pageControl;
@property (retain, nonatomic) IBOutlet UIButton *butTest;
@property (retain, nonatomic) IBOutlet UIView *view1;
@property (retain, nonatomic) IBOutlet UIView *view2;
@property (retain, nonatomic) IBOutlet UIView *view3;

@property(nonatomic, retain) UITextView *resultsTextView;
@property(nonatomic, retain) UILabel *connectedLabel;
@property(nonatomic, retain) BTmsr * BTmsrDevice;


- (IBAction) DoTest:(id)sender;
- (IBAction) DoClearLog:(id)sender;
- (IBAction) DoKeyboardOff:(id)sender;

- (IBAction) ShowViewSettings:(id)sender;
- (IBAction) ShowViewMemory:(id)sender;
- (IBAction) ShowViewCup:(id)sender;

- (IBAction) f_getCopyRight:(id)sender;
- (IBAction) f_getReaderSettings:(id)sender;
- (IBAction) f_ResetReader:(id)sender;
- (IBAction) f_SetOperationMode:(id)sender;
- (IBAction) f_LEDControl:(id)sender;


- (IBAction) f_SetMemoryCardType:(id)sender;
- (IBAction) f_SetMemoryCardWriteSize:(id)sender;
- (IBAction) f_directIO:(id)sender;
- (IBAction) f_SelectSettingsType:(id)sender;


- (IBAction) Do_Open:(id)sender;
- (IBAction) Do_Close:(id)sender;

- (IBAction) f_getFirm:(id)sender;
- (IBAction) f_getSerialNumber:(id)sender;
- (IBAction) f_getLevel:(id)sender;
- (IBAction) f_getEptType:(id)sender;
- (IBAction) f_getKeyManagement:(id)sender;
- (IBAction) f_getEssentialInfo:(id)sender;
- (IBAction) f_getEnzyModuleFWVersion:(id)sender;
- (IBAction) f_getKSN:(id)sender;
- (IBAction) f_getEnzyBDAddress:(id)sender;
- (IBAction) Do_CloseView:(id)sender;

@end
